<?php
  $faq = false;
  if($item = $block->getItem()){
    $faq = true;
  }
?>
<section class="helppages">
    <div class="help-wrapper">
      <div class="tab-wrap">
        <input type="radio" id="tab4" name="tabGroup2" class="tab" checked>
        <label for="tab4" id="contact-id">Where to Buy</label>
        <input type="radio" id="tab5" name="tabGroup2" class="tab">
        <label for="tab5">SUPPPORT REQUEST</label>
        <input type="radio" id="tab6" name="tabGroup2" class="tab">
        <label for="tab6" id="cms-pages">KNOWLEDGE BASE</label>
        <input type="radio" id="tab7" name="tabGroup2" class="tab">
        <label for="tab7">BROWSE CATALOGS</label>
        <input type="radio" id="tab8" name="tabGroup2" class="tab">
        <label for="tab8">ADVANCED SEARCH</label>

        <div class="tab__content ">
          <div class="help-contact-text">
            <?php echo $this->getLayout()
            ->createBlock('Alogic\Wheretobuy\Block\Main')
            ->setTemplate('Alogic_Wheretobuy::content.phtml')
            ->toHtml();
            ?></div>
        </div>
        <div class="tab__content">
          <div class="search-block"><?php echo $this->getLayout()
            ->createBlock('Magento\Contact\Block\ContactForm')
            ->setTemplate('Mirasvit_Helpdesk::contacts/form.phtml')
            ->toHtml();
            ?>
          </div>
        </div>
        <div class="tab__content cms-content">
          <?php
          if ($identifier = $block->getData('identifier')) {
          ?>
            < <a href="<?=$block->escapeUrl($block->getUrl('support'))?>" >Back to Knowledge Base</a>
            <?php
              echo $this->getLayout()
              ->createBlock('Magento\Cms\Block\Block')
              ->setBlockId($identifier)
              ->toHtml();
            } else if ($faq) {
            ?>
            <p style="" class="back-link"><a href="<?php echo $this->getUrl('support') ?>" >< Back to Frequently Asked Questions</a></p>
              <?php if ($this->getRequest()->getFullActionName() == 'support_faq_view') {?>
                <h3><?php echo $item->getQuestion(); ?> </h3>
                <div class="answer"><?php echo $item->getAnswer(); ?> </div>
              <?php } else {
              ?>
                <h3><?php echo $item->getQuestionDetail(); ?> </h3>
                <div class="answer">
                  <?php foreach ($item->getAnswers() as $answer) {
                          echo $answer->getAnswerDetail();
                  }?>
                </div>
              <?php }?>
            <?php } else {
            ?>
              <div class="search-block">
              <?php
                echo $this->getLayout()
                ->createBlock('MW\EasyFaq\Block\Faq\Search')
                ->setTemplate('MW_EasyFaq::search.phtml')
                ->toHtml();
              ?>
              </div>
              <div class="reasults-block">
              <?php
                echo $this->getLayout()
                ->createBlock('MW\EasyFaq\Block\Faq\Index')
                ->setTemplate('MW_EasyFaq::faq.phtml')
                ->toHtml();
              ?>
              </div>
              <div class="search-block">
              <?php
                echo $this->getLayout()
                ->createBlock('Ecomteck\ProductQuestions\Block\Product\Main')
                ->setTemplate('Ecomteck_ProductQuestions::question-search.phtml')
                ->toHtml();
              ?>
              </div>
            <?php }
            ?>
        </div>
        <div class="tab__content cms-content">
          <p><?php echo $this->getLayout()
            ->createBlock('Intesols\Browsecatalogs\Block\BrowsecatalogsListData')
            ->setTemplate('Intesols_Browsecatalogs::list.phtml')
            ->toHtml();
            ?></p>
        </div>
        <div class="tab__content cms-content">

          <p><?php echo $this->getLayout()
            ->createBlock('Magento\CatalogSearch\Block\Advanced\Form')
            ->setTemplate('Alogic_Helppages::advancedsearch.phtml')
            ->toHtml();
            ?></p>
        </div>
      </div>
    </div>
</section>
<script>
  require(
      [
          'jquery'

      ],
      function (
          $

      ) {
        var isCms = '<?php echo $block->getData('identifier')?>';

        if(isCms){
          $("#cms-pages").trigger("click");
        }
        $("#cms-pages").trigger("click");
      }
  );
</script>
